<rss version="2.0" xmlns:atom="http://www.w3.org/2005/Atom">
  <channel>
    <title>Eric Chang - MCの飄狂山莊㊣</title>
    <link>https://h.cowbay.org/author/eric-chang/</link>
    <description>Recent content in Eric Chang on MCの飄狂山莊㊣</description>
    <generator>Hugo -- gohugo.io</generator>
    <lastBuildDate>Fri, 04 Oct 2019 14:12:15 +0800</lastBuildDate>
    
        <atom:link href="https://h.cowbay.org/author/eric-chang/index.xml" rel="self" type="application/rss+xml" />
    
    <item>
      <title>[雜念] 群暉 Synology NAS DS 415&#43; 誇張的維修費用</title>
      <link>https://h.cowbay.org/post/synology-ds415-repair-cost/</link>
      <pubDate>Tue, 04 Dec 2018 10:25:19 +0800</pubDate>
      
      <guid>https://h.cowbay.org/post/synology-ds415-repair-cost/</guid>
      <description>&lt;p&gt;前幾天公司的一台 Synology DS 415+ 發生異常&lt;/p&gt;

&lt;p&gt;注意到的時候，四顆硬碟燈號都不斷的在閃爍&lt;/p&gt;

&lt;p&gt;但是已經無法登入系統&lt;/p&gt;

&lt;p&gt;重開機之後更慘，四顆硬碟燈號全部橘燈恆亮&lt;/p&gt;

&lt;p&gt;底下的電源藍燈不斷的在閃爍&lt;/p&gt;

&lt;p&gt;雖然我一再表示不希望送修了&lt;/p&gt;

&lt;p&gt;一來是已經過保，二來是DS415+ 本身就有intel bug，三來是因為對synology的NAS 實在沒有愛&amp;hellip;&lt;/p&gt;

&lt;p&gt;不過主管還是希望能夠先問群暉維修的費用多少&lt;/p&gt;</description>
    </item><item>
      <title>[筆記] 用 proxmox &amp; Mellanox SFP 網卡土炮 10G LAB </title>
      <link>https://h.cowbay.org/post/10g-lab-using-proxmox-and-mellanox/</link>
      <pubDate>Fri, 30 Nov 2018 16:05:14 +0800</pubDate>
      
      <guid>https://h.cowbay.org/post/10g-lab-using-proxmox-and-mellanox/</guid>
      <description>&lt;p&gt;想做一個 10G 的 LAB 環境出來已經很久了。&lt;/p&gt;

&lt;p&gt;只是礙於10G RJ45的卡太貴了，然後光纖的種類又太複雜&lt;/p&gt;

&lt;p&gt;如果直接在淘寶購買，很怕會買錯(什麼LC/FC LC/LC 多模單模 單芯雙芯 SFP/SFP+ 又是什麼光模塊的一大堆規格)&lt;/p&gt;

&lt;p&gt;所以一直沒有付諸行動。&lt;/p&gt;

&lt;p&gt;硬體的工作很久沒碰了，剛好在蝦皮看到有個賣家在賣 mellanox 的X2網卡，以在台灣的價格來說，算很便宜的 (550)&lt;/p&gt;

&lt;p&gt;聊了一下，跟他請教了關於線材、光纖模塊的問題，回答也都很快很到位&lt;/p&gt;

&lt;p&gt;就直接下訂了兩張網卡、兩個光纖模塊、一條LC/LC 光纖線&lt;/p&gt;

&lt;p&gt;就是到貨有點久，等了兩個禮拜左右，一直到昨天東西才寄到&lt;/p&gt;

&lt;p&gt;今天就花了點時間測試一下&lt;/p&gt;</description>
    </item><item>
      <title>[筆記] 還是 Ansible Selectattr </title>
      <link>https://h.cowbay.org/post/ansible-selectattr-filter/</link>
      <pubDate>Thu, 29 Nov 2018 11:22:28 +0800</pubDate>
      
      <guid>https://h.cowbay.org/post/ansible-selectattr-filter/</guid>
      <description>&lt;p&gt;在上一篇 &lt;a href=&#34;https://h.cowbay.org/post/ansible-selectattr/&#34;&gt;Ansible how to use &amp;lsquo;list&amp;rsquo; in yaml file &lt;/a&gt;&lt;/p&gt;

&lt;p&gt;有提到怎麼用 with_items / set_fact 來取得在yaml 檔案中的清單&lt;/p&gt;

&lt;p&gt;不過就是有點醜&lt;/p&gt;</description>
    </item><item>
      <title>[筆記] Ansible how to use &#39;list&#39; in yaml file </title>
      <link>https://h.cowbay.org/post/ansible-selectattr/</link>
      <pubDate>Tue, 27 Nov 2018 16:50:53 +0800</pubDate>
      
      <guid>https://h.cowbay.org/post/ansible-selectattr/</guid>
      <description>&lt;p&gt;這幾天在玩ansible 時，碰到一個問題&lt;/p&gt;

&lt;p&gt;假如我有個yaml檔作為資料來源，檔名是 abc.yml&lt;/p&gt;

&lt;p&gt;大概長這樣&lt;/p&gt;

&lt;pre&gt;&lt;code&gt;    &amp;quot;teams&amp;quot;: [
        {
            &amp;quot;chinese_name&amp;quot;: &amp;quot;TEAM1&amp;quot;,
            &amp;quot;description&amp;quot;: &amp;quot;TEAM1&amp;quot;,
            &amp;quot;gid&amp;quot;: 10125,
            &amp;quot;location&amp;quot;: [
                &amp;quot;hq&amp;quot;
            ],
            &amp;quot;name&amp;quot;: &amp;quot;aa&amp;quot;,
            &amp;quot;users&amp;quot;: [
                &amp;quot;chen&amp;quot;,
                &amp;quot;chou&amp;quot;,
                &amp;quot;huani&amp;quot;,
                &amp;quot;yey&amp;quot;,
                &amp;quot;wa&amp;quot;
            ]
        },
        {
            &amp;quot;chinese_name&amp;quot;: &amp;quot;TEAM2&amp;quot;,
            &amp;quot;description&amp;quot;: &amp;quot;TEAM2&amp;quot;,
            &amp;quot;gid&amp;quot;: 10126,
            &amp;quot;location&amp;quot;: [
                &amp;quot;hq&amp;quot;
            ],
            &amp;quot;name&amp;quot;: &amp;quot;bb&amp;quot;,
            &amp;quot;users&amp;quot;: [
                &amp;quot;chhiao&amp;quot;,
                &amp;quot;chgc&amp;quot;,
                &amp;quot;chy&amp;quot;,
                &amp;quot;hsi&amp;quot;,
                &amp;quot;li&amp;quot;,
                &amp;quot;li&amp;quot;,
                &amp;quot;chgchi&amp;quot;
            ]
        }
		]
		
&lt;/code&gt;&lt;/pre&gt;</description>
    </item><item>
      <title>[筆記] 為了metabase 修改 firefox 開啟網頁時使用的預設語言 change the preferred language in firefox for metabase</title>
      <link>https://h.cowbay.org/post/change-preferred-language-in-firefox/</link>
      <pubDate>Thu, 15 Nov 2018 11:06:28 +0800</pubDate>
      
      <guid>https://h.cowbay.org/post/change-preferred-language-in-firefox/</guid>
      <description>&lt;p&gt;最近在測試metabase，記得幾個月前就有測試過&lt;/p&gt;

&lt;p&gt;但是當時的界面和現在的樣子差很多，看樣子改版還滿勤勞的&lt;/p&gt;

&lt;p&gt;所以這次改用docker來建立，根本五分鐘不到就建好了(挖鼻孔)&lt;/p&gt;

&lt;p&gt;不過呢，很討厭的是，一進去就發現語系採用的是簡體中文&lt;/p&gt;</description>
    </item><item>
      <title>PostgreSQL 直接從已經存在的使用者複製權限到另一個使用者</title>
      <link>https://h.cowbay.org/post/copy_role_in_pgsql/</link>
      <pubDate>Mon, 12 Nov 2018 09:48:12 +0800</pubDate>
      
      <guid>https://h.cowbay.org/post/copy_role_in_pgsql/</guid>
      <description>&lt;p&gt;因為工作上的需求，有個資料庫需要開放給不同team的人去存取&lt;/p&gt;

&lt;p&gt;雖然都是在同一台機器上的同一個資料庫&lt;/p&gt;

&lt;p&gt;但是希望能夠不同team的人用不同的資料庫使用者&lt;/p&gt;

&lt;p&gt;這樣萬一出事，會比較好抓兇手？？&lt;/p&gt;</description>
    </item><item>
      <title>[筆記] 詭異的client&amp;server間連線的問題，或許跟KVM有關係？</title>
      <link>https://h.cowbay.org/post/weird-client-server-connection/</link>
      <pubDate>Thu, 08 Nov 2018 18:01:23 +0800</pubDate>
      
      <guid>https://h.cowbay.org/post/weird-client-server-connection/</guid>
      <description>&lt;p&gt;這是發生在一個夜黑風高的寂寥深夜&amp;hellip;.. ( What The FXXX &amp;hellip; )&lt;/p&gt;

&lt;p&gt;來到這個環境之後，有一個很詭異的狀況一直困擾著我&lt;/p&gt;

&lt;p&gt;在每個分公司，都會有一台伺服器作為KVM Host&lt;/p&gt;

&lt;p&gt;上面跑兩台VM，一台作為ansible controller (目前沒作用)&lt;/p&gt;

&lt;p&gt;另一台作為這邊所謂的 &amp;ldquo;Build Server&amp;rdquo;&lt;/p&gt;

&lt;p&gt;用途包含了DHCP Server / Proxy Server (squid3) / APT Proxy (squid-deb-proxy)&lt;/p&gt;

&lt;p&gt;問題就發生在這台 Build Server 上&amp;hellip;&lt;/p&gt;</description>
    </item><item>
      <title>Nice Du Report Tool Durep</title>
      <link>https://h.cowbay.org/post/nice-du-report-tool-durep/</link>
      <pubDate>Tue, 06 Nov 2018 15:24:29 +0800</pubDate>
      
      <guid>https://h.cowbay.org/post/nice-du-report-tool-durep/</guid>
      <description>&lt;p&gt;最近在重新規劃前人留下的backup爛攤子
各個伺服器統一備份到一台backup storage
想說如果每天能夠看到backup storage的磁碟用量的話
就可以抓出備份空間成長速度、推估需要多大的磁碟空間
找了一些工具，結果發現 durep 這個 ubuntu 內建的工具
基本上可以滿足我的需求&lt;/p&gt;</description>
    </item><item>
      <title>Bookstack Docker</title>
      <link>https://h.cowbay.org/post/bookstack-docker/</link>
      <pubDate>Tue, 06 Nov 2018 14:57:14 +0800</pubDate>
      
      <guid>https://h.cowbay.org/post/bookstack-docker/</guid>
      <description>&lt;p&gt;Bookstack 是一套非常好用的線上&amp;rdquo;筆記&amp;rdquo;系統&lt;/p&gt;

&lt;p&gt;他用圖書館/書本的概念，讓使用者可以建立自己的&amp;rdquo;圖書館&amp;rdquo;&lt;/p&gt;

&lt;p&gt;同時在圖書館內建立不同的&amp;rdquo;書籍&amp;rdquo;&lt;/p&gt;

&lt;p&gt;而且支援 Markdown 語法&lt;/p&gt;

&lt;p&gt;其他的方式像是在nextcloud上編輯 md檔案(字體太小)&lt;/p&gt;

&lt;p&gt;或者是boostnote(只能在本機)&lt;/p&gt;

&lt;p&gt;都或多或少有點小缺點&lt;/p&gt;

&lt;p&gt;Bookstack則是沒有這些問題，不過就是系統「大」了點&amp;hellip;&lt;/p&gt;

&lt;p&gt;不過還好有人做成docker的方式來啟動，大大的降低了建置的難度(其實也沒有很難啦，只是要裝個PHP、弄個DB而已)&lt;/p&gt;</description>
    </item><item>
      <title>筆記- 啟用群暉NAS (Synology NAS)的SSH Server  透過Publickey 認證免密碼登入</title>
      <link>https://h.cowbay.org/post/enable-synology-public-ssh/</link>
      <pubDate>Mon, 05 Nov 2018 14:16:54 +0800</pubDate>
      
      <guid>https://h.cowbay.org/post/enable-synology-public-ssh/</guid>
      <description>&lt;p&gt;公司內有幾台NAS，其中有一台用來放開發人員的postgresql dump file
之前都是主要的開發人員上傳到google drive，分享出來 ，然後其他人去抓回來&lt;/p&gt;

&lt;p&gt;這樣子有個問題是，當server要存取這些檔案時，就沒辦法了，除非透過一些 3rd party的軟體
像是這篇&lt;/p&gt;

&lt;p&gt;&lt;a href=&#34;https://www.omgubuntu.co.uk/2017/04/mount-google-drive-ocamlfuse-linux&#34;&gt;https://www.omgubuntu.co.uk/2017/04/mount-google-drive-ocamlfuse-linux&lt;/a&gt;&lt;/p&gt;

&lt;p&gt;或者是這篇&lt;/p&gt;

&lt;p&gt;&lt;a href=&#34;https://www.maketecheasier.com/mount-google-drive-ubuntu/&#34;&gt;https://www.maketecheasier.com/mount-google-drive-ubuntu/&lt;/a&gt;&lt;/p&gt;

&lt;p&gt;但是手邊的伺服器，原則上除非有必要，不然都沒有開放internet
所以導致明明檔案就在那邊，但是要取得就是很麻煩&lt;/p&gt;</description>
    </item>
  </channel>
</rss>